Name:           hyperrogue
Version:        9.4c
Release:        %mkrel 2
Summary:        Roguelike game in a strange, non-Euclidean world
Group:          Games/Adventure
License:        GPLv2+
URL:            http://www.roguetemple.com/z/hyper
# Source tarball + data (music, sounds) from Windows zipball
Source0:        %{name}-%{version}.tar.xz
Patch0:         hyperrogue-9.4c-mga-system-dejavu-ttf.patch
Patch1:         hyperrogue-9.4c-mga-FHS-and-userdir.patch
# Works around graphical glitches with Intel driver when framerate > 60 fps
Patch2:         hyperrogue-8.3j-mga-limit-to-60-fps-by-default.patch

BuildRequires:  icoutils
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
Requires:       %{name}-data >= %{version}
Requires:       fonts-ttf-dejavu

%description
You are a lone outsider in a strange, non-Euclidean world.
As a rogue, your goal is to collect as many treasures as possible.
However, collecting treasures attracts dangerous monsters (on the other hand,
killing the monsters allows more treasures to be generated).
Collecting enough treasure also allows you to find rare magical orbs,
which grant you one-time or time-limited special abilities.

%package data
Summary:        Arch-independent data files for HyperRogue
License:        CC-BY-SA 3.0
BuildArch:      noarch

%description data
This package contains arch-independent data files (CC-BY-SA 3.0 music)
for the HyperRogue game. The binary is provided by %{name}.

%prep
%setup -q
%autopatch -p1

%build
%setup_compile_flags
%make_build -C src

%install
install -D -m 755 src/hyper %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 *.ogg %{name}-music.txt %{buildroot}%{_gamesdatadir}/%{name}/
cp -a sounds %{buildroot}%{_gamesdatadir}/%{name}/
icotool -x --output=%{name}.png src/hr-icon.ico
install -D -m 644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/96x96/apps/%{name}.png

# Desktop entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=HyperRogue
GenericName=Roguelike
Comment=Roguelike game in a strange, non-Euclidean world
Exec=hyperrogue
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%files
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/96x96/apps/%{name}.png

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Sun Mar 26 2017 akien <akien> 9.4c-2.mga6
+ Revision: 1094905
- Fix regression in Patch1
- Install new sound effects
- Version 9.4c

* Thu Aug 11 2016 akien <akien> 8.3j-1.mga6
+ Revision: 1045812
- Version 8.3j (patches rediffed)

* Sat May 28 2016 akien <akien> 7.4h-1.mga6
+ Revision: 1019258
- Version 7.4h

* Thu Feb 11 2016 umeabot <umeabot> 6.6-2.mga6
+ Revision: 954336
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 akien <akien> 6.6-1.mga6
+ Revision: 850970
- Version 6.6

* Mon Mar 09 2015 akien <akien> 5.5a-1.mga5
+ Revision: 818199
- Version 5.5a
- Split data to noarch subpackage
- Now uses system DejaVuSans instead of system Vera
- Add a patch to find data in %%_gamesdatadir and put user files in XDG_DATA_HOME
- Add a patch to limite framerate to 60 fps by default to workaround issue with Intel driver

* Wed Oct 15 2014 umeabot <umeabot> 4.4-3.mga5
+ Revision: 748981
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4-2.mga5
+ Revision: 680339
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 4.4-1.mga5
+ Revision: 673594
- Version 4.4

* Tue Feb 25 2014 akien <akien> 4.3-1.mga5
+ Revision: 596894
- imported package hyperrogue

